QI Macros for Excel is Compatible with PC and Mac

View Our Compatibility Table Below

Supported Configurations

QI Macros Version
Operating System
Desktop Versions of Excel
Oct 2019
PC: Windows 7, 8 and 10

2010 - 2019

Office 365 Version 1908 - Present

Mac: 10.10 (Yosemite) - 10.14.5 (Mojave)

2016, 2019

Office 365 Version 16.31 - Present

June - Sept 2019
PC: Windows 7, 8 and 10

2010 - 2019

Office 365 Version 1905 - Present

Mac: 10.10 (Yosemite) - 10.14.5 (Mojave)

2016, 2019

Office 365 Version 16.26 - Present

Oct 2018 - May 2019
PC: Windows 7, 8 and 10

2010 - 2019

Office 365 Version 1806 - 1905

Mac: 10.10 (Yosemite) - 10.14.5 (Mojave)

2016, 2019

Office 365 Version 16.15 - 16.31

Sep 2015 - Sep 2018
PC: Windows 7, 8 and 10

2007 - 2016

Office 365 Versions 1509 - 1805

Mac: 10.10 (Yosemite) - 10.13.4 (High Sierra)

2011, 2016

Office 365 Versions 15.18 - 16.14

2014 - Aug 2015
PC: XP, Vista, and Windows 7 and 8
2007 - 2013
Mac: 10.5.8 (Leopard) - 10.11 (El Capitan)
2011

Unsupported Configurations

QI Macros Version
Operating System
Desktop Versions of Excel
2013
PC: XP, Vista and Windows 7
2003 - 2010 (32/64-bit)
Mac: 10.5.8 (Leopard) - 10.9 (Maverick)
2011
2012
PC: XP, Vista and Windows 7
2003 - 2010 (32/64-bit)
Mac: 10.5.8 (Leopard) - 10.9 (Maverick)
2011
2011
PC: XP, Vista and Windows 7
2000 - 2010 (32/64-bit)
Mac: 10.5.8 (Leopard) - 10.9 (Maverick)
2011
July - Dec 2010
PC: XP, Vista and Windows 7
2000 - 2010 (32/64-bit)
Mac: 10.2 (Jaguar) - 10.7 (Lion)
2004
Jan - June 2010
PC: XP and Vista
2000 - 2007
Mac: 10.2 - 10.7
2004
2007 - 2009
PC: XP and Vista
2000 - 2007
Mac: 10.2 - 10.7
2004

Please Note:

- Compatibility is based upon the most up-to-date Service Packs (Excel 2010 - SP2)

- Excel 2008 for Mac does not support VBA and therefore is not compatible with QI Macros

- Excel 2016 for Mac requires a minimum of OS X 10.10

- Excel 2011 for Mac OS X 10.5.8 through macOS 10.13.14 (High Sierra), and QI Macros version June 2018 or earlier.

Compatibility Policy

When Microsoft releases a new version of Windows or Excel, we seek to have the QI Macros compatible when the release comes out or at the latest by the next monthly release of the QI Macros. Microsoft releases are usually shortly followed by a Service Pak 1 release to fix critical problems.

While every new release of the QI Macros seeks to be backward compatible with as many releases of Windows and Excel as possible, it cannot pretend to be forward compatible with future changes (i.e., service packs and new versions). We seek to support recent Excel changes, however, we do not provide endless support.

Windows and Excel Versions No Longer Supported by Microsoft

Microsoft no longer supports: Excel '97, 2000, 2002, 2003 and 2007; along with Excel for Mac 2004, 2008 and 2011.

Microsoft support of Windows XP and Vista ended in April of 2014.

While we believe the QI Macros works with these versions of Windows and Excel, we cannot guarantee compatibility with versions that Microsoft no longer supports especially if you have not loaded all available Microsoft Service Packs.

SPC Software for Tablets and iPads

Windows 8 and 10 Tablets that offer full versions of Excel 2013, 2016, 2019/Office 365, will fully support all QI Macros functionality.

Surface and Other Windows RT Tablets:

Any QI Templates files that do not require VBA, work in Excel 2013, 2016, 2019/Office 365 for the Surface and other Windows RT tablets, but the macros will not because some tablets do not yet support VBA code. Click here for more information on QI Macros Lean Six Sigma Templates for Excel 2013 (Pre) and Windows RT Tablets.

iPads

Any QI Templates files that do not require VBA, work in Excel for the iPad. However, please note that the macros will not work because Microsoft has yet to release a version of Excel for the iPad that supports VBA code.

Purchase QI Macros SPC Software for Excel or a QI Macros Upgrade through our secure shopping cart or try a free, 30-day trial!